Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|
| GET |
/api/atams |
|
200 PagedResultOfAtamDto |
| GET |
/api/atams/{identityId} |
|
200 AtamProfileDto |
| PUT |
/api/atams/{identityId}/profile |
|
200 AtamProfileDto |
| GET |
/api/atams/{identityId}/thread |
|
200 AtamThreadDto |
| POST |
/api/atams/{identityId}/thread/check-ins/{escalationId} |
|
200 |
| POST |
/api/atams/{identityId}/thread/messages |
|
200 SendAtamMessageResult |
| POST |
/api/atams/{identityId}/thread/read |
|
200 |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
AtamProfileDto
| Property | Type | Description |
| identityId |
int64 |
|
| name |
string |
|
| displayName |
null,string |
|
| isPrimary |
boolean |
|
| title |
null,string |
|
| operatingInstructions |
null,string |
|
| defaultRoleDefinitionId |
int64 |
|
| defaultRoleName |
null,string |
|
| defaultToolProfileName |
null,string |
|
| checkInPolicy |
null | CheckInPolicy |
|
| routineCount |
int32 |
|
| isWorking |
boolean |
|
| needsYou |
boolean |
|
| unreadCount |
int32 |
|
| tags |
string[] |
|
| canManageSubs |
boolean |
|
| subCount |
int32 |
|
AtamThreadDto
| Property | Type | Description |
| atamIdentityId |
int64 |
|
| partnerIdentityId |
int64 |
|
| messages |
AtamThreadMessageDto[] |
|
| working |
boolean |
|
| workingRunId |
int64 |
|
| lastFailure |
null,string |
|
| lastFailedRunId |
int64 |
|
| unreadCount |
int32 |
|
| cannotWakeReason |
null,string |
|
| checkIns |
AtamThreadCheckInDto[] |
|
PagedResultOfAtamDto
| Property | Type | Description |
| items* |
AtamDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|
SendAtamMessageResult
| Property | Type | Description |
| messageId |
int64 |
|
| runId |
int64 |
|
| queued |
boolean |
|
| note |
null,string |
|